Package com.independentsoft.office.vml

# Class ClientData

java.lang.Object
com.independentsoft.office.vml.ClientData

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class ClientData extends Object implements IShapeElement, IVmlElement
The Class ClientData.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientData()`
  Instantiates a new client data.
  `ClientData​(InternalXMLStreamReader reader)`
  Instantiates a new client data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientData`
  `clone()`
  `Anchor`
  `getAnchor()`
  Gets the anchor.
  `String`
  `getCameraSourceRange()`
  Gets the camera source range.
  `CheckBoxState`
  `getCheckBoxState()`
  Gets the check box state.
  `ClipboardFormatType`
  `getClipboardFormat()`
  Gets the clipboard format.
  `int`
  `getCommentColumn()`
  Gets the comment column.
  `int`
  `getCommentRow()`
  Gets the comment row.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getCustomFunction()`
  Gets the custom function.
  `int`
  `getDropdownMaximumLines()`
  Gets the dropdown maximum lines.
  `DropdownStyle`
  `getDropdownStyle()`
  Gets the dropdown style.
  `HorizontalTextAlignment`
  `getHorizontalTextAlignment()`
  Gets the horizontal text alignment.
  `String`
  `getHtmlScriptAttributes()`
  Gets the html script attributes.
  `ScriptLanguage`
  `getHtmlScriptLanguage()`
  Gets the html script language.
  `ScriptLocation`
  `getHtmlScriptLocation()`
  Gets the html script location.
  `String`
  `getHtmlScriptText()`
  Gets the html script text.
  `String`
  `getLinkedFormula()`
  Gets the linked formula.
  `String`
  `getLinkedFormulaGroupBox()`
  Gets the linked formula group box.
  `String`
  `getListBoxCallbackType()`
  Gets the list box callback type.
  `String`
  `getListItem()`
  Gets the list item.
  `String`
  `getListItemsSourceRange()`
  Gets the list items source range.
  `int`
  `getMinimumWidth()`
  Gets the minimum width.
  `String`
  `getMultipleSelections()`
  Gets the multiple selections.
  `ObjectType`
  `getObjectType()`
  Gets the object type.
  `int`
  `getPrimaryKeyboardAccelerator()`
  Gets the primary keyboard accelerator.
  `int`
  `getScrollBarIncrement()`
  Gets the scroll bar increment.
  `int`
  `getScrollBarMaximum()`
  Gets the scroll bar maximum.
  `int`
  `getScrollBarMinimum()`
  Gets the scroll bar minimum.
  `int`
  `getScrollBarPageIncrement()`
  Gets the scroll bar page increment.
  `int`
  `getScrollBarPosition()`
  Gets the scroll bar position.
  `int`
  `getScrollBarWidth()`
  Gets the scroll bar width.
  `int`
  `getSecondaryKeyboardAccelerator()`
  Gets the secondary keyboard accelerator.
  `int`
  `getSelectedEntry()`
  Gets the selected entry.
  `SelectionType`
  `getSelectionType()`
  Gets the selection type.
  `String`
  `getTextFormula()`
  Gets the text formula.
  `ValidationType`
  `getValidationType()`
  Gets the validation type.
  `VerticalTextAlignment`
  `getVerticalTextAlignment()`
  Gets the vertical text alignment.
  `boolean`
  `isAutoFill()`
  Checks if is auto fill.
  `boolean`
  `isAutoLine()`
  Checks if is auto line.
  `boolean`
  `isAutoScale()`
  Checks if is auto scale.
  `boolean`
  `isAutoSize()`
  Checks if is auto size.
  `boolean`
  `isCamera()`
  Checks if is camera.
  `boolean`
  `isCancelButton()`
  Checks if is cancel button.
  `boolean`
  `isColumnHidden()`
  Checks if is column hidden.
  `boolean`
  `isCommentVisibility()`
  Checks if is comment visibility.
  `boolean`
  `isDefaultButton()`
  Checks if is default button.
  `boolean`
  `isDefaultSize()`
  Checks if is default size.
  `boolean`
  `isDisable3D()`
  Checks if is disable3 d.
  `boolean`
  `isDisable3D2()`
  Checks if is disable3 d2.
  `boolean`
  `isDismissButton()`
  Checks if is dismiss button.
  `boolean`
  `isDropdownColored()`
  Checks if is dropdown colored.
  `boolean`
  `isDynamicDataExchangeLink()`
  Checks if is dynamic data exchange link.
  `boolean`
  `isEmbeddedControl()`
  Checks if is embedded control.
  `boolean`
  `isFarEastAlignment()`
  Checks if is far east alignment.
  `boolean`
  `isFirstRadioButton()`
  Checks if is first radio button.
  `boolean`
  `isHelpButton()`
  Checks if is help button.
  `boolean`
  `isHorizontalScrollBar()`
  Checks if is horizontal scroll bar.
  `boolean`
  `isLocked()`
  Checks if is locked.
  `boolean`
  `isLockText()`
  Checks if is lock text.
  `boolean`
  `isMacroDisabled()`
  Checks if is macro disabled.
  `boolean`
  `isMoveWithCells()`
  Checks if is move with cells.
  `boolean`
  `isMultiLine()`
  Checks if is multi line.
  `boolean`
  `isPasswordEdit()`
  Checks if is password edit.
  `boolean`
  `isPrintObject()`
  Checks if is prints the object.
  `boolean`
  `isRecalculation()`
  Checks if is recalculation.
  `boolean`
  `isRowHidden()`
  Checks if is row hidden.
  `boolean`
  `isSizeWithCells()`
  Checks if is size with cells.
  `boolean`
  `isUserInterfaceObject()`
  Checks if is user interface object.
  `boolean`
  `isValidID()`
  Checks if is valid id.
  `boolean`
  `isVerticalScrollBar()`
  Checks if is vertical scroll bar.
  `void`
  `setAnchor​(Anchor anchor)`
  Sets the anchor.
  `void`
  `setAutoFill​(boolean autoFill)`
  Sets the auto fill.
  `void`
  `setAutoLine​(boolean autoLine)`
  Sets the auto line.
  `void`
  `setAutoScale​(boolean autoScale)`
  Sets the auto scale.
  `void`
  `setAutoSize​(boolean autoSize)`
  Sets the auto size.
  `void`
  `setCamera​(boolean camera)`
  Sets the camera.
  `void`
  `setCameraSourceRange​(String cameraSourceRange)`
  Sets the camera source range.
  `void`
  `setCancelButton​(boolean cancelButton)`
  Sets the cancel button.
  `void`
  `setCheckBoxState​(CheckBoxState checkBoxState)`
  Sets the check box state.
  `void`
  `setClipboardFormat​(ClipboardFormatType clipboardFormat)`
  Sets the clipboard format.
  `void`
  `setColumnHidden​(boolean columnHidden)`
  Sets the column hidden.
  `void`
  `setCommentColumn​(int commentColumn)`
  Sets the comment column.
  `void`
  `setCommentRow​(int commentRow)`
  Sets the comment row.
  `void`
  `setCommentVisibility​(boolean commentVisibility)`
  Sets the comment visibility.
  `void`
  `setCustomFunction​(String customFunction)`
  Sets the custom function.
  `void`
  `setDefaultButton​(boolean defaultButton)`
  Sets the default button.
  `void`
  `setDefaultSize​(boolean defaultSize)`
  Sets the default size.
  `void`
  `setDisable3D​(boolean disable3D)`
  Sets the disable3 d.
  `void`
  `setDisable3D2​(boolean disable3D2)`
  Sets the disable3 d2.
  `void`
  `setDismissButton​(boolean dismissButton)`
  Sets the dismiss button.
  `void`
  `setDropdownColored​(boolean dropdownColored)`
  Sets the dropdown colored.
  `void`
  `setDropdownMaximumLines​(int dropdownMaximumLines)`
  Sets the dropdown maximum lines.
  `void`
  `setDropdownStyle​(DropdownStyle dropdownStyle)`
  Sets the dropdown style.
  `void`
  `setDynamicDataExchangeLink​(boolean dynamicDataExchangeLink)`
  Sets the dynamic data exchange link.
  `void`
  `setEmbeddedControl​(boolean embeddedControl)`
  Sets the embedded control.
  `void`
  `setFarEastAlignment​(boolean farEastAlignment)`
  Sets the far east alignment.
  `void`
  `setFirstRadioButton​(boolean firstRadioButton)`
  Sets the first radio button.
  `void`
  `setHelpButton​(boolean helpButton)`
  Sets the help button.
  `void`
  `setHorizontalScrollBar​(boolean horizontalScrollBar)`
  Sets the horizontal scroll bar.
  `void`
  `setHorizontalTextAlignment​(HorizontalTextAlignment horizontalTextAlignment)`
  Sets the horizontal text alignment.
  `void`
  `setHtmlScriptAttributes​(String htmlScriptAttributes)`
  Sets the html script attributes.
  `void`
  `setHtmlScriptLanguage​(ScriptLanguage htmlScriptLanguage)`
  Sets the html script language.
  `void`
  `setHtmlScriptLocation​(ScriptLocation htmlScriptLocation)`
  Sets the html script location.
  `void`
  `setHtmlScriptText​(String htmlScriptText)`
  Sets the html script text.
  `void`
  `setLinkedFormula​(String linkedFormula)`
  Sets the linked formula.
  `void`
  `setLinkedFormulaGroupBox​(String linkedFormulaGroupBox)`
  Sets the linked formula group box.
  `void`
  `setListBoxCallbackType​(String listBoxCallbackType)`
  Sets the list box callback type.
  `void`
  `setListItem​(String listItem)`
  Sets the list item.
  `void`
  `setListItemsSourceRange​(String listItemsSourceRange)`
  Sets the list items source range.
  `void`
  `setLocked​(boolean locked)`
  Sets the locked.
  `void`
  `setLockText​(boolean lockText)`
  Sets the lock text.
  `void`
  `setMacroDisabled​(boolean macroDisabled)`
  Sets the macro disabled.
  `void`
  `setMinimumWidth​(int minimumWidth)`
  Sets the minimum width.
  `void`
  `setMoveWithCells​(boolean moveWithCells)`
  Sets the move with cells.
  `void`
  `setMultiLine​(boolean multiLine)`
  Sets the multi line.
  `void`
  `setMultipleSelections​(String multipleSelections)`
  Sets the multiple selections.
  `void`
  `setObjectType​(ObjectType objectType)`
  Sets the object type.
  `void`
  `setPasswordEdit​(boolean passwordEdit)`
  Sets the password edit.
  `void`
  `setPrimaryKeyboardAccelerator​(int primaryKeyboardAccelerator)`
  Sets the primary keyboard accelerator.
  `void`
  `setPrintObject​(boolean printObject)`
  Sets the prints the object.
  `void`
  `setRecalculation​(boolean recalculation)`
  Sets the recalculation.
  `void`
  `setRowHidden​(boolean rowHidden)`
  Sets the row hidden.
  `void`
  `setScrollBarIncrement​(int scrollBarIncrement)`
  Sets the scroll bar increment.
  `void`
  `setScrollBarMaximum​(int scrollBarMaximum)`
  Sets the scroll bar maximum.
  `void`
  `setScrollBarMinimum​(int scrollBarMinimum)`
  Sets the scroll bar minimum.
  `void`
  `setScrollBarPageIncrement​(int scrollBarPageIncrement)`
  Sets the scroll bar page increment.
  `void`
  `setScrollBarPosition​(int scrollBarPosition)`
  Sets the scroll bar position.
  `void`
  `setScrollBarWidth​(int scrollBarWidth)`
  Sets the scroll bar width.
  `void`
  `setSecondaryKeyboardAccelerator​(int secondaryKeyboardAccelerator)`
  Sets the secondary keyboard accelerator.
  `void`
  `setSelectedEntry​(int selectedEntry)`
  Sets the selected entry.
  `void`
  `setSelectionType​(SelectionType selectionType)`
  Sets the selection type.
  `void`
  `setSizeWithCells​(boolean sizeWithCells)`
  Sets the size with cells.
  `void`
  `setTextFormula​(String textFormula)`
  Sets the text formula.
  `void`
  `setUserInterfaceObject​(boolean userInterfaceObject)`
  Sets the user interface object.
  `void`
  `setValidationType​(ValidationType validationType)`
  Sets the validation type.
  `void`
  `setValidID​(boolean validID)`
  Sets the valid id.
  `void`
  `setVerticalScrollBar​(boolean verticalScrollBar)`
  Sets the vertical scroll bar.
  `void`
  `setVerticalTextAlignment​(VerticalTextAlignment verticalTextAlignment)`
  Sets the vertical text alignment.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientData

    public ClientData()
    Instantiates a new client data.

  - ### ClientData

    public ClientData​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new client data.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public ClientData clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPrimaryKeyboardAccelerator

    public int getPrimaryKeyboardAccelerator()
    Gets the primary keyboard accelerator.
    Returns:
      the primary keyboard accelerator

  - ### setPrimaryKeyboardAccelerator

    public void setPrimaryKeyboardAccelerator​(int primaryKeyboardAccelerator)
    Sets the primary keyboard accelerator.
    Parameters:
      `primaryKeyboardAccelerator` - the new primary keyboard accelerator

  - ### getSecondaryKeyboardAccelerator

    public int getSecondaryKeyboardAccelerator()
    Gets the secondary keyboard accelerator.
    Returns:
      the secondary keyboard accelerator

  - ### setSecondaryKeyboardAccelerator

    public void setSecondaryKeyboardAccelerator​(int secondaryKeyboardAccelerator)
    Sets the secondary keyboard accelerator.
    Parameters:
      `secondaryKeyboardAccelerator` - the new secondary keyboard accelerator

  - ### getAnchor

    public Anchor getAnchor()
    Gets the anchor.
    Returns:
      the anchor

  - ### setAnchor

    public void setAnchor​(Anchor anchor)
    Sets the anchor.
    Parameters:
      `anchor` - the new anchor

  - ### isAutoFill

    public boolean isAutoFill()
    Checks if is auto fill.
    Returns:
      true, if is auto fill

  - ### setAutoFill

    public void setAutoFill​(boolean autoFill)
    Sets the auto fill.
    Parameters:
      `autoFill` - the new auto fill

  - ### isAutoLine

    public boolean isAutoLine()
    Checks if is auto line.
    Returns:
      true, if is auto line

  - ### setAutoLine

    public void setAutoLine​(boolean autoLine)
    Sets the auto line.
    Parameters:
      `autoLine` - the new auto line

  - ### isAutoSize

    public boolean isAutoSize()
    Checks if is auto size.
    Returns:
      true, if is auto size

  - ### setAutoSize

    public void setAutoSize​(boolean autoSize)
    Sets the auto size.
    Parameters:
      `autoSize` - the new auto size

  - ### isAutoScale

    public boolean isAutoScale()
    Checks if is auto scale.
    Returns:
      true, if is auto scale

  - ### setAutoScale

    public void setAutoScale​(boolean autoScale)
    Sets the auto scale.
    Parameters:
      `autoScale` - the new auto scale

  - ### isCamera

    public boolean isCamera()
    Checks if is camera.
    Returns:
      true, if is camera

  - ### setCamera

    public void setCamera​(boolean camera)
    Sets the camera.
    Parameters:
      `camera` - the new camera

  - ### isCancelButton

    public boolean isCancelButton()
    Checks if is cancel button.
    Returns:
      true, if is cancel button

  - ### setCancelButton

    public void setCancelButton​(boolean cancelButton)
    Sets the cancel button.
    Parameters:
      `cancelButton` - the new cancel button

  - ### getClipboardFormat

    public ClipboardFormatType getClipboardFormat()
    Gets the clipboard format.
    Returns:
      the clipboard format

  - ### setClipboardFormat

    public void setClipboardFormat​(ClipboardFormatType clipboardFormat)
    Sets the clipboard format.
    Parameters:
      `clipboardFormat` - the new clipboard format

  - ### getCheckBoxState

    public CheckBoxState getCheckBoxState()
    Gets the check box state.
    Returns:
      the check box state

  - ### setCheckBoxState

    public void setCheckBoxState​(CheckBoxState checkBoxState)
    Sets the check box state.
    Parameters:
      `checkBoxState` - the new check box state

  - ### isColumnHidden

    public boolean isColumnHidden()
    Checks if is column hidden.
    Returns:
      true, if is column hidden

  - ### setColumnHidden

    public void setColumnHidden​(boolean columnHidden)
    Sets the column hidden.
    Parameters:
      `columnHidden` - the new column hidden

  - ### isDropdownColored

    public boolean isDropdownColored()
    Checks if is dropdown colored.
    Returns:
      true, if is dropdown colored

  - ### setDropdownColored

    public void setDropdownColored​(boolean dropdownColored)
    Sets the dropdown colored.
    Parameters:
      `dropdownColored` - the new dropdown colored

  - ### getCommentColumn

    public int getCommentColumn()
    Gets the comment column.
    Returns:
      the comment column

  - ### setCommentColumn

    public void setCommentColumn​(int commentColumn)
    Sets the comment column.
    Parameters:
      `commentColumn` - the new comment column

  - ### isDynamicDataExchangeLink

    public boolean isDynamicDataExchangeLink()
    Checks if is dynamic data exchange link.
    Returns:
      true, if is dynamic data exchange link

  - ### setDynamicDataExchangeLink

    public void setDynamicDataExchangeLink​(boolean dynamicDataExchangeLink)
    Sets the dynamic data exchange link.
    Parameters:
      `dynamicDataExchangeLink` - the new dynamic data exchange link

  - ### isDefaultButton

    public boolean isDefaultButton()
    Checks if is default button.
    Returns:
      true, if is default button

  - ### setDefaultButton

    public void setDefaultButton​(boolean defaultButton)
    Sets the default button.
    Parameters:
      `defaultButton` - the new default button

  - ### isDefaultSize

    public boolean isDefaultSize()
    Checks if is default size.
    Returns:
      true, if is default size

  - ### setDefaultSize

    public void setDefaultSize​(boolean defaultSize)
    Sets the default size.
    Parameters:
      `defaultSize` - the new default size

  - ### isMacroDisabled

    public boolean isMacroDisabled()
    Checks if is macro disabled.
    Returns:
      true, if is macro disabled

  - ### setMacroDisabled

    public void setMacroDisabled​(boolean macroDisabled)
    Sets the macro disabled.
    Parameters:
      `macroDisabled` - the new macro disabled

  - ### isDismissButton

    public boolean isDismissButton()
    Checks if is dismiss button.
    Returns:
      true, if is dismiss button

  - ### setDismissButton

    public void setDismissButton​(boolean dismissButton)
    Sets the dismiss button.
    Parameters:
      `dismissButton` - the new dismiss button

  - ### getDropdownMaximumLines

    public int getDropdownMaximumLines()
    Gets the dropdown maximum lines.
    Returns:
      the dropdown maximum lines

  - ### setDropdownMaximumLines

    public void setDropdownMaximumLines​(int dropdownMaximumLines)
    Sets the dropdown maximum lines.
    Parameters:
      `dropdownMaximumLines` - the new dropdown maximum lines

  - ### getDropdownStyle

    public DropdownStyle getDropdownStyle()
    Gets the dropdown style.
    Returns:
      the dropdown style

  - ### setDropdownStyle

    public void setDropdownStyle​(DropdownStyle dropdownStyle)
    Sets the dropdown style.
    Parameters:
      `dropdownStyle` - the new dropdown style

  - ### getScrollBarWidth

    public int getScrollBarWidth()
    Gets the scroll bar width.
    Returns:
      the scroll bar width

  - ### setScrollBarWidth

    public void setScrollBarWidth​(int scrollBarWidth)
    Sets the scroll bar width.
    Parameters:
      `scrollBarWidth` - the new scroll bar width

  - ### isFirstRadioButton

    public boolean isFirstRadioButton()
    Checks if is first radio button.
    Returns:
      true, if is first radio button

  - ### setFirstRadioButton

    public void setFirstRadioButton​(boolean firstRadioButton)
    Sets the first radio button.
    Parameters:
      `firstRadioButton` - the new first radio button

  - ### getLinkedFormulaGroupBox

    public String getLinkedFormulaGroupBox()
    Gets the linked formula group box.
    Returns:
      the linked formula group box

  - ### setLinkedFormulaGroupBox

    public void setLinkedFormulaGroupBox​(String linkedFormulaGroupBox)
    Sets the linked formula group box.
    Parameters:
      `linkedFormulaGroupBox` - the new linked formula group box

  - ### getLinkedFormula

    public String getLinkedFormula()
    Gets the linked formula.
    Returns:
      the linked formula

  - ### setLinkedFormula

    public void setLinkedFormula​(String linkedFormula)
    Sets the linked formula.
    Parameters:
      `linkedFormula` - the new linked formula

  - ### getCustomFunction

    public String getCustomFunction()
    Gets the custom function.
    Returns:
      the custom function

  - ### setCustomFunction

    public void setCustomFunction​(String customFunction)
    Sets the custom function.
    Parameters:
      `customFunction` - the new custom function

  - ### getCameraSourceRange

    public String getCameraSourceRange()
    Gets the camera source range.
    Returns:
      the camera source range

  - ### setCameraSourceRange

    public void setCameraSourceRange​(String cameraSourceRange)
    Sets the camera source range.
    Parameters:
      `cameraSourceRange` - the new camera source range

  - ### getListItemsSourceRange

    public String getListItemsSourceRange()
    Gets the list items source range.
    Returns:
      the list items source range

  - ### setListItemsSourceRange

    public void setListItemsSourceRange​(String listItemsSourceRange)
    Sets the list items source range.
    Parameters:
      `listItemsSourceRange` - the new list items source range

  - ### getTextFormula

    public String getTextFormula()
    Gets the text formula.
    Returns:
      the text formula

  - ### setTextFormula

    public void setTextFormula​(String textFormula)
    Sets the text formula.
    Parameters:
      `textFormula` - the new text formula

  - ### isHelpButton

    public boolean isHelpButton()
    Checks if is help button.
    Returns:
      true, if is help button

  - ### setHelpButton

    public void setHelpButton​(boolean helpButton)
    Sets the help button.
    Parameters:
      `helpButton` - the new help button

  - ### isHorizontalScrollBar

    public boolean isHorizontalScrollBar()
    Checks if is horizontal scroll bar.
    Returns:
      true, if is horizontal scroll bar

  - ### setHorizontalScrollBar

    public void setHorizontalScrollBar​(boolean horizontalScrollBar)
    Sets the horizontal scroll bar.
    Parameters:
      `horizontalScrollBar` - the new horizontal scroll bar

  - ### getScrollBarIncrement

    public int getScrollBarIncrement()
    Gets the scroll bar increment.
    Returns:
      the scroll bar increment

  - ### setScrollBarIncrement

    public void setScrollBarIncrement​(int scrollBarIncrement)
    Sets the scroll bar increment.
    Parameters:
      `scrollBarIncrement` - the new scroll bar increment

  - ### isFarEastAlignment

    public boolean isFarEastAlignment()
    Checks if is far east alignment.
    Returns:
      true, if is far east alignment

  - ### setFarEastAlignment

    public void setFarEastAlignment​(boolean farEastAlignment)
    Sets the far east alignment.
    Parameters:
      `farEastAlignment` - the new far east alignment

  - ### getListBoxCallbackType

    public String getListBoxCallbackType()
    Gets the list box callback type.
    Returns:
      the list box callback type

  - ### setListBoxCallbackType

    public void setListBoxCallbackType​(String listBoxCallbackType)
    Sets the list box callback type.
    Parameters:
      `listBoxCallbackType` - the new list box callback type

  - ### getListItem

    public String getListItem()
    Gets the list item.
    Returns:
      the list item

  - ### setListItem

    public void setListItem​(String listItem)
    Sets the list item.
    Parameters:
      `listItem` - the new list item

  - ### isLocked

    public boolean isLocked()
    Checks if is locked.
    Returns:
      true, if is locked

  - ### setLocked

    public void setLocked​(boolean locked)
    Sets the locked.
    Parameters:
      `locked` - the new locked

  - ### isLockText

    public boolean isLockText()
    Checks if is lock text.
    Returns:
      true, if is lock text

  - ### setLockText

    public void setLockText​(boolean lockText)
    Sets the lock text.
    Parameters:
      `lockText` - the new lock text

  - ### isEmbeddedControl

    public boolean isEmbeddedControl()
    Checks if is embedded control.
    Returns:
      true, if is embedded control

  - ### setEmbeddedControl

    public void setEmbeddedControl​(boolean embeddedControl)
    Sets the embedded control.
    Parameters:
      `embeddedControl` - the new embedded control

  - ### getScrollBarMaximum

    public int getScrollBarMaximum()
    Gets the scroll bar maximum.
    Returns:
      the scroll bar maximum

  - ### setScrollBarMaximum

    public void setScrollBarMaximum​(int scrollBarMaximum)
    Sets the scroll bar maximum.
    Parameters:
      `scrollBarMaximum` - the new scroll bar maximum

  - ### getScrollBarMinimum

    public int getScrollBarMinimum()
    Gets the scroll bar minimum.
    Returns:
      the scroll bar minimum

  - ### setScrollBarMinimum

    public void setScrollBarMinimum​(int scrollBarMinimum)
    Sets the scroll bar minimum.
    Parameters:
      `scrollBarMinimum` - the new scroll bar minimum

  - ### isMoveWithCells

    public boolean isMoveWithCells()
    Checks if is move with cells.
    Returns:
      true, if is move with cells

  - ### setMoveWithCells

    public void setMoveWithCells​(boolean moveWithCells)
    Sets the move with cells.
    Parameters:
      `moveWithCells` - the new move with cells

  - ### isMultiLine

    public boolean isMultiLine()
    Checks if is multi line.
    Returns:
      true, if is multi line

  - ### setMultiLine

    public void setMultiLine​(boolean multiLine)
    Sets the multi line.
    Parameters:
      `multiLine` - the new multi line

  - ### getMultipleSelections

    public String getMultipleSelections()
    Gets the multiple selections.
    Returns:
      the multiple selections

  - ### setMultipleSelections

    public void setMultipleSelections​(String multipleSelections)
    Sets the multiple selections.
    Parameters:
      `multipleSelections` - the new multiple selections

  - ### isDisable3D

    public boolean isDisable3D()
    Checks if is disable3 d.
    Returns:
      true, if is disable3 d

  - ### setDisable3D

    public void setDisable3D​(boolean disable3D)
    Sets the disable3 d.
    Parameters:
      `disable3D` - the new disable3 d

  - ### isDisable3D2

    public boolean isDisable3D2()
    Checks if is disable3 d2.
    Returns:
      true, if is disable3 d2

  - ### setDisable3D2

    public void setDisable3D2​(boolean disable3D2)
    Sets the disable3 d2.
    Parameters:
      `disable3D2` - the new disable3 d2

  - ### getScrollBarPageIncrement

    public int getScrollBarPageIncrement()
    Gets the scroll bar page increment.
    Returns:
      the scroll bar page increment

  - ### setScrollBarPageIncrement

    public void setScrollBarPageIncrement​(int scrollBarPageIncrement)
    Sets the scroll bar page increment.
    Parameters:
      `scrollBarPageIncrement` - the new scroll bar page increment

  - ### isPrintObject

    public boolean isPrintObject()
    Checks if is prints the object.
    Returns:
      true, if is prints the object

  - ### setPrintObject

    public void setPrintObject​(boolean printObject)
    Sets the prints the object.
    Parameters:
      `printObject` - the new prints the object

  - ### isRecalculation

    public boolean isRecalculation()
    Checks if is recalculation.
    Returns:
      true, if is recalculation

  - ### setRecalculation

    public void setRecalculation​(boolean recalculation)
    Sets the recalculation.
    Parameters:
      `recalculation` - the new recalculation

  - ### getCommentRow

    public int getCommentRow()
    Gets the comment row.
    Returns:
      the comment row

  - ### setCommentRow

    public void setCommentRow​(int commentRow)
    Sets the comment row.
    Parameters:
      `commentRow` - the new comment row

  - ### isRowHidden

    public boolean isRowHidden()
    Checks if is row hidden.
    Returns:
      true, if is row hidden

  - ### setRowHidden

    public void setRowHidden​(boolean rowHidden)
    Sets the row hidden.
    Parameters:
      `rowHidden` - the new row hidden

  - ### getHtmlScriptAttributes

    public String getHtmlScriptAttributes()
    Gets the html script attributes.
    Returns:
      the html script attributes

  - ### setHtmlScriptAttributes

    public void setHtmlScriptAttributes​(String htmlScriptAttributes)
    Sets the html script attributes.
    Parameters:
      `htmlScriptAttributes` - the new html script attributes

  - ### getHtmlScriptLanguage

    public ScriptLanguage getHtmlScriptLanguage()
    Gets the html script language.
    Returns:
      the html script language

  - ### setHtmlScriptLanguage

    public void setHtmlScriptLanguage​(ScriptLanguage htmlScriptLanguage)
    Sets the html script language.
    Parameters:
      `htmlScriptLanguage` - the new html script language

  - ### getHtmlScriptLocation

    public ScriptLocation getHtmlScriptLocation()
    Gets the html script location.
    Returns:
      the html script location

  - ### setHtmlScriptLocation

    public void setHtmlScriptLocation​(ScriptLocation htmlScriptLocation)
    Sets the html script location.
    Parameters:
      `htmlScriptLocation` - the new html script location

  - ### getHtmlScriptText

    public String getHtmlScriptText()
    Gets the html script text.
    Returns:
      the html script text

  - ### setHtmlScriptText

    public void setHtmlScriptText​(String htmlScriptText)
    Sets the html script text.
    Parameters:
      `htmlScriptText` - the new html script text

  - ### isPasswordEdit

    public boolean isPasswordEdit()
    Checks if is password edit.
    Returns:
      true, if is password edit

  - ### setPasswordEdit

    public void setPasswordEdit​(boolean passwordEdit)
    Sets the password edit.
    Parameters:
      `passwordEdit` - the new password edit

  - ### getSelectedEntry

    public int getSelectedEntry()
    Gets the selected entry.
    Returns:
      the selected entry

  - ### setSelectedEntry

    public void setSelectedEntry​(int selectedEntry)
    Sets the selected entry.
    Parameters:
      `selectedEntry` - the new selected entry

  - ### getSelectionType

    public SelectionType getSelectionType()
    Gets the selection type.
    Returns:
      the selection type

  - ### setSelectionType

    public void setSelectionType​(SelectionType selectionType)
    Sets the selection type.
    Parameters:
      `selectionType` - the new selection type

  - ### isSizeWithCells

    public boolean isSizeWithCells()
    Checks if is size with cells.
    Returns:
      true, if is size with cells

  - ### setSizeWithCells

    public void setSizeWithCells​(boolean sizeWithCells)
    Sets the size with cells.
    Parameters:
      `sizeWithCells` - the new size with cells

  - ### getHorizontalTextAlignment

    public HorizontalTextAlignment getHorizontalTextAlignment()
    Gets the horizontal text alignment.
    Returns:
      the horizontal text alignment

  - ### setHorizontalTextAlignment

    public void setHorizontalTextAlignment​(HorizontalTextAlignment horizontalTextAlignment)
    Sets the horizontal text alignment.
    Parameters:
      `horizontalTextAlignment` - the new horizontal text alignment

  - ### getVerticalTextAlignment

    public VerticalTextAlignment getVerticalTextAlignment()
    Gets the vertical text alignment.
    Returns:
      the vertical text alignment

  - ### setVerticalTextAlignment

    public void setVerticalTextAlignment​(VerticalTextAlignment verticalTextAlignment)
    Sets the vertical text alignment.
    Parameters:
      `verticalTextAlignment` - the new vertical text alignment

  - ### isUserInterfaceObject

    public boolean isUserInterfaceObject()
    Checks if is user interface object.
    Returns:
      true, if is user interface object

  - ### setUserInterfaceObject

    public void setUserInterfaceObject​(boolean userInterfaceObject)
    Sets the user interface object.
    Parameters:
      `userInterfaceObject` - the new user interface object

  - ### getScrollBarPosition

    public int getScrollBarPosition()
    Gets the scroll bar position.
    Returns:
      the scroll bar position

  - ### setScrollBarPosition

    public void setScrollBarPosition​(int scrollBarPosition)
    Sets the scroll bar position.
    Parameters:
      `scrollBarPosition` - the new scroll bar position

  - ### isValidID

    public boolean isValidID()
    Checks if is valid id.
    Returns:
      true, if is valid id

  - ### setValidID

    public void setValidID​(boolean validID)
    Sets the valid id.
    Parameters:
      `validID` - the new valid id

  - ### isCommentVisibility

    public boolean isCommentVisibility()
    Checks if is comment visibility.
    Returns:
      true, if is comment visibility

  - ### setCommentVisibility

    public void setCommentVisibility​(boolean commentVisibility)
    Sets the comment visibility.
    Parameters:
      `commentVisibility` - the new comment visibility

  - ### isVerticalScrollBar

    public boolean isVerticalScrollBar()
    Checks if is vertical scroll bar.
    Returns:
      true, if is vertical scroll bar

  - ### setVerticalScrollBar

    public void setVerticalScrollBar​(boolean verticalScrollBar)
    Sets the vertical scroll bar.
    Parameters:
      `verticalScrollBar` - the new vertical scroll bar

  - ### getValidationType

    public ValidationType getValidationType()
    Gets the validation type.
    Returns:
      the validation type

  - ### setValidationType

    public void setValidationType​(ValidationType validationType)
    Sets the validation type.
    Parameters:
      `validationType` - the new validation type

  - ### getMinimumWidth

    public int getMinimumWidth()
    Gets the minimum width.
    Returns:
      the minimum width

  - ### setMinimumWidth

    public void setMinimumWidth​(int minimumWidth)
    Sets the minimum width.
    Parameters:
      `minimumWidth` - the new minimum width

  - ### getObjectType

    public ObjectType getObjectType()
    Gets the object type.
    Returns:
      the object type

  - ### setObjectType

    public void setObjectType​(ObjectType objectType)
    Sets the object type.
    Parameters:
      `objectType` - the new object type